org.jbpm.services.task.commands

## Class GetTaskAssignedAsPotentialOwnerPagingCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.GetTaskAssignedAsPotentialOwnerPagingCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>

      public class GetTaskAssignedAsPotentialOwnerPagingCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskAssignedAsPotentialOwnerPagingCommand()`
    `GetTaskAssignedAsPotentialOwnerPagingCommand(String userId, List<String> groupIds, int firstResult, int maxResults)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.api.runtime.Context cntxt)`
    `Integer` | `getFirstResult()`
    `Integer` | `getMaxResults()`
    `void` | `setFirstResult(Integer firstResult)`
    `void` | `setMaxResults(Integer maxResults)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskAssignedAsPotentialOwnerPagingCommand

          public GetTaskAssignedAsPotentialOwnerPagingCommand()

    - #### GetTaskAssignedAsPotentialOwnerPagingCommand

          public GetTaskAssignedAsPotentialOwnerPagingCommand(String userId,
                                                              List<String> groupIds,
                                                              int firstResult,
                                                              int maxResults)

  - ### Method Detail

    - #### getFirstResult

          public Integer getFirstResult()

    - #### setFirstResult

          public void setFirstResult(Integer firstResult)

    - #### getMaxResults

          public Integer getMaxResults()

    - #### setMaxResults

          public void setMaxResults(Integer maxResults)

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.